Bug 1333800 - python-altgraph: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-altgraph: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-altgraph
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-05-06 12:44 UTC by Tomas Orsava
Modified: 2016-06-27 18:28 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-06-27 18:28:32 UTC
dkrejci: needinfo? (mail)


Attachments (Terms of Use)
Python 3 patch for specfile (2.95 KB, patch)
2016-06-06 12:30 UTC, Dominika Krejčí
no flags Details | Diff

Description Tomas Orsava 2016-05-06 12:44:05 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Dominika Krejčí 2016-06-06 12:30 UTC
Created attachment 1165199 [details]
Python 3 patch for specfile

Hi Fabian,
here is the change needed to add Python 3 support. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14393219

Comment 2 Fedora Update System 2016-06-06 18:13:53 UTC
python-altgraph-0.12-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-949633b8ff

Comment 3 Tomas Orsava 2016-06-07 16:33:22 UTC
Thank you, Fabian, for pushing the patch!

Comment 4 Fedora Update System 2016-06-07 18:54:27 UTC
python-altgraph-0.12-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-949633b8ff

Comment 5 Fedora Update System 2016-06-27 18:28:30 UTC
python-altgraph-0.12-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.